Skip to main content
PATCH
/
scim
/
v2
/
groups
/
{userGroupId}
curl --request PATCH \
  --url https://{instance}.omniapp.co/api/scim/v2/groups/{userGroupId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:PatchOp"
  ],
  "Operations": [
    {
      "op": "add",
      "path": "members",
      "value": [
        {
          "display": "blob.ross@blobsrus.co",
          "value": "9e8719d9-276a-4964-9395-a493189a247c"
        }
      ]
    }
  ]
}
'
{
  "displayName": "Blob SEs",
  "id": "mEhXj6ZI",
  "meta": {
    "created": "2024-12-04T00:08:03.250Z",
    "lastModified": "2024-12-04T00:20:47.346Z",
    "resourceType": "Group"
  },
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:Group"
  ],
  "members": [
    {
      "display": "blob.ross@blobsrus.co",
      "value": "9e8719d9-276a-4964-9395-a493189a247c"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.omni.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Requires an Organization API Key. Personal Access Tokens (PATs) are not supported for this endpoint.

Include in the Authorization header as: Bearer ORGANIZATION_API_KEY

Path Parameters

userGroupId
string
required

The ID of the group to be updated

Body

application/json
schemas
enum<string>[]
required

The SCIM schema URIs for the request. Must include urn:ietf:params:scim:api:messages:2.0:PatchOp.

Available options:
urn:ietf:params:scim:api:messages:2.0:PatchOp
Example:
[
"urn:ietf:params:scim:api:messages:2.0:PatchOp"
]
Operations
object[]
required

The list of patch operations to apply to the group. Supported operations:

OperationDescription
add with path: "members"Add one or more users to the group
remove with path: 'members[value eq "{userId}"]'Remove a single user from the group
replace with path: "displayName"Rename the group
replace with path: "members"Replace the entire membership list
replace without a pathReplace top-level attributes (for example, displayName)
Minimum array length: 1

Response

Group updated successfully

id
string

Unique identifier for the group

displayName
string

The name of the group

members
object[]

The list of users in the group

meta
object

Metadata about the group resource

schemas
string[]

SCIM schema information for the group